import type { Player, PlayerPlugin, RequiredPartial } from '@oplayer/core';
import type { DanmakuContext, Options } from './types';
import Heatmap from './heatmap';
export * from './types';
export default class Danmaku implements PlayerPlugin {
    key: string;
    name: string;
    version: string;
    player: Player;
    danmaku: DanmakuContext;
    heatmap: Heatmap;
    loaded: boolean;
    $root: HTMLDivElement;
    options: RequiredPartial<Options, 'source' | 'onEmit' | 'customHeatmap'>;
    constructor(options?: Options);
    apply(player: Player): this | undefined;
    changeSource(source: Options['source'], customHeatmap?: Options['customHeatmap']): void;
    _fetchSource(source: Options['source'], customHeatmap?: Options['customHeatmap']): Promise<void>;
    setFontSize(value: number): void;
    registerSetting(): void;
    render(): void;
}
//# sourceMappingURL=index.d.ts.map